### Enumeration

# Vips Extend

#### Declaration

    enum Vips.Extend

#### Description [src]

See `vips_embed()`, `vips_conv()`, `vips_affine()` and so on.

When the edges of an image are extended, you can specify how you want the extension done.

`VIPS_EXTEND_BLACK` — new pixels are black, ie. all bits are zero.

`VIPS_EXTEND_COPY` — each new pixel takes the value of the nearest edge pixel

`VIPS_EXTEND_REPEAT` — the image is tiled to fill the new area

`VIPS_EXTEND_MIRROR` — the image is reflected and tiled to reduce hash edges

`VIPS_EXTEND_WHITE` — new pixels are white, ie. all bits are set

`VIPS_EXTEND_BACKGROUND` — colour set from the `background` property

We have to specify the exact value of each enum member since we have to keep these frozen for back compat with vips7.

See also

`vips_embed()`.

#### Members

`VIPS_EXTEND_BLACK`

  Extend with black (all 0) pixels.

  - Value: `0`
  - Available since: 8.0
`VIPS_EXTEND_COPY`

  Copy the image edges.

  - Value: `1`
  - Available since: 8.0
`VIPS_EXTEND_REPEAT`

  Repeat the whole image.

  - Value: `2`
  - Available since: 8.0
`VIPS_EXTEND_MIRROR`

  Mirror the whole image.

  - Value: `3`
  - Available since: 8.0
`VIPS_EXTEND_WHITE`

  Extend with white (all bits set) pixels.

  - Value: `4`
  - Available since: 8.0
`VIPS_EXTEND_BACKGROUND`

  Extend with colour from the `background` property.

  - Value: `5`
  - Available since: 8.0
`VIPS_EXTEND_LAST`

  No description available.

  - Value: `6`
  - Available since: 8.0